function [A,b] = sestav(func_q,func_f,Z,S,B,hx,hy)

N = size(Z,2);
NI = size(S,2);
NB = length(B);

A = sparse(N,N);
b = zeros(N,1);


% smycka pres vnitrni uzly
for i=1:NI
    
    Si = S(:,i);
    
    k = Si(1);
    zk = Z(:,k);
    
    qk = feval(func_q,zk);
    fk = feval(func_f,zk);
    
    A(i,Si) = [ 2/hx^2 + 2/hy^2 + qk  , -1/hx^2 , -1/hx^2 , -1/hy^2 , -1/hy^2 ];
    
    b(i) = fk;
    
end


% smycka pres hranicni uzly
for i=1:NB
    
    Bi = B(i);
    
    A(NI+i,Bi) = 1;
    
    b(NI+i) = 0;
    
end